package api

import (
	"gitea.qpismont.fr/qpismont/trepa/internal/accounts/repository"
	"gitea.qpismont.fr/qpismont/trepa/internal/accounts/service"
	"gitea.qpismont.fr/qpismont/trepa/internal/core"
	"github.com/jmoiron/sqlx"
)

func BindRoutes(srv *core.ServerMux, db *sqlx.DB) {
	repository := repository.NewRepository(db)
	service := service.NewService(repository)
	controller := NewController(service)

	srv.HandleFunc("POST /accounts/login", controller.Login)
	srv.HandleFunc("GET /accounts/me", core.JwtMiddleware(controller.GetAccount))
}
