package core

import (
	"errors"
	"net/http"
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestNewError(t *testing.T) {
	err := NewHTTPError(http.StatusBadRequest, "MyError", errors.New("test"))
	assert.Equal(t, http.StatusBadRequest, err.Code)
	assert.Equal(t, "MyError", err.Error())
	assert.Equal(t, errors.New("test"), err.Unwrap())
}

func TestNewInternalServerError(t *testing.T) {
	err := NewInternalServerError(errors.New("test"))
	assert.Equal(t, http.StatusInternalServerError, err.Code)
	assert.Equal(t, "Internal server error", err.Error())
	assert.Equal(t, errors.New("test"), err.Unwrap())
}
